Ticket #191 (closed enhancement: fixed)

Opened 6 years ago

Last modified 3 years ago

Add rudimentary mixer support for Presonus FireBox

Reported by: adi Assigned to: arnonym
Priority: minor Milestone: FFADO 2.1
Component: Version: FFADO SVN (2.0 branch)
Keywords: Cc: damien.zammit@gmail.com
The device the bug applies to: Presonus FireBox

Description

According to damo22 from #freenode, the Presonus FireBox? is muted and there's currently no mixer support to unmute the device.

He captured a mute/unmute mixer toggle with Bushound and provided the attached log.

If we really don't have (generic) mixer code for the FireBox?, can we at least unmute the channel?

Attachments

firebox-mute-unmute.txt (8.7 kB) - added by adi on 12/31/08 06:02:32.

Change History

12/31/08 06:02:32 changed by adi

  • attachment firebox-mute-unmute.txt added.

12/31/08 06:11:38 changed by damo22

  • cc set to damien.zammit@gmail.com.

(follow-up: ↓ 3 ) 01/16/09 01:48:42 changed by arnonym

Does the firebox have a mixer? I know that the firepod doesn't have one. A good sign for that is the presence of a windows-mixer app, which there isn't for the firepod.

But as the firmware of at least the firepod exports four volume controls (that don't do anything), these are also exported via dbus by ffado-dbus-server. You can see (and control) them when you look at the dbus-tree with dbus or qdbusviewer. When these controls have an effect on the firebox, its "just" a matter of writing a gui for the device...

(in reply to: ↑ 2 ; follow-up: ↓ 4 ) 01/16/09 01:58:37 changed by damo22

Replying to arnonym:

The firebox has a windows-mixer app, so I assume it has a mixer. I don't know anything about dbus, noob here sorry. I just captured the mixer mute/unmute command with Bushound.

(in reply to: ↑ 3 ) 01/16/09 02:07:01 changed by damo22

Replying to arnonym: Is there anything I should try on my firebox to speed things up?

09/16/10 14:30:06 changed by arnonym

  • owner set to arnonym.
  • status changed from new to assigned.

Does my first attempt of r1901 help to unmute the device?

04/01/12 08:17:23 changed by jwoithe

This ticket cannot be progressed further without additional help from the reporter (or some other firepod owner). In particular, we need to know whether r1901 had any effect and/or whether this problem is still present with Firepod interfaces when running the current FFADO trunk. If further information is not forthcoming I'll close the bug.

04/21/12 06:58:53 changed by jwoithe

  • status changed from assigned to closed.
  • resolution set to fixed.

I'm closing this ticket as fixed. There's a suggestion in comment 5 that r1901 may have effected some improvement, but without further communication from the reporter or another owner of a Presonus Firebox we can't be completely sure. This ticket can be re-opened if such information becomes available.